import React from 'react';
import { type DropdownItem } from '@zextras/carbonio-design-system';
import type { Location } from 'react-router-dom';
import type { AppRoute } from '../types/apps';
import type { Action } from '../types/integrations';
export interface NewAction extends Action, Omit<DropdownItem, 'label' | 'onClick'> {
    execute: NonNullable<DropdownItem['onClick']>;
    group?: string;
    primary?: boolean;
}
interface CreationButtonProps {
    activeRoute?: AppRoute;
    location?: Location;
}
export declare const CreationButtonComponent: ({ activeRoute, location }: CreationButtonProps) => React.JSX.Element;
export declare const CreationButton: () => React.JSX.Element;
export {};
