"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAccountStore = void 0;
const zustand_1 = require("zustand");
// extra currying as suggested in https://github.com/pmndrs/zustand/blob/main/docs/guides/typescript.md#basic-usage
exports.useAccountStore = (0, zustand_1.create)()(() => ({
    authenticated: false,
    account: undefined,
    version: '',
    settings: {
        prefs: {},
        attrs: {},
        props: []
    },
    usedQuota: 0,
    lastNotificationTime: Date.now()
}));
//# sourceMappingURL=store.js.map