import type { AccountSettingsAttrs, AccountSettingsPrefs, Identity, Signature } from '../../types/account';
import type { IdentityMods } from '../../types/network';
type UpdateSettingsParams = {
    attrs?: AccountSettingsAttrs;
    prefs?: AccountSettingsPrefs;
    props?: Record<string, {
        app: string;
        value: unknown;
    }>;
};
export type UpdateSettings = (settingsMods: UpdateSettingsParams) => void;
type UpdateAccountParams = {
    identities?: {
        identitiesMods: IdentityMods;
        newIdentities: Identity[];
    };
    signatures?: Signature[];
};
export type UpdateAccount = (accountMods: UpdateAccountParams) => void;
export declare const updateSettings: UpdateSettings;
export declare const updateAccount: UpdateAccount;
export {};
