import type { AppRoute, CarbonioModule } from '../../types/apps';
export declare const getAppHook: (appId: string) => () => CarbonioModule;
export declare const useApps: () => Record<string, CarbonioModule>;
export declare const useAppList: () => Array<CarbonioModule>;
export declare const getApp: (appId: string) => () => CarbonioModule | undefined;
export declare const getAppContextHook: (appId: string) => <T>() => T;
export declare const getAppContext: (appId: string) => () => unknown;
export declare const useRoutes: () => Record<string, AppRoute>;
