import type React from 'react';
import type { Action } from '../../types/integrations';
import type { AnyFunction } from '../../utils/typeUtils';
export declare const useIntegratedFunction: <TFunction extends AnyFunction = AnyFunction>(id: string) => [TFunction, boolean];
export declare const useIntegratedComponent: <TComponent extends React.ComponentType<any> = React.ComponentType<Record<string, unknown>>>(id: string) => [TComponent, boolean];
export declare const useActions: <TContext, TAction extends Action = Action>(context: TContext, type: string) => Array<TAction>;
export declare const useAction: <T>(type: string, id: string, target?: T) => [Action | undefined, boolean];
