"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLoginConfigStore = void 0;
const zustand_1 = require("zustand");
// extra currying as suggested in https://github.com/pmndrs/zustand/blob/main/docs/guides/typescript.md#basic-usage
exports.useLoginConfigStore = (0, zustand_1.create)()(() => ({
    loaded: false,
    isCarbonioCE: undefined,
    // setup defaults for fields which does not depend on dark mode
    carbonioWebUiTitle: 'Carbonio Client',
    // default to png because this icon is used also in notification, and svg are not supported there
    carbonioWebUiFavicon: `${BASE_PATH}favicon.png`
}));
//# sourceMappingURL=store.js.map