"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRefresh = exports.useNotify = void 0;
/*
 * SPDX-FileCopyrightText: 2022 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
const store_1 = require("./store");
const FALLBACK_NOTIFY = [];
const FALLBACK_REFRESH = {};
const useNotify = () => (0, store_1.useNetworkStore)((s) => s.notify ?? FALLBACK_NOTIFY);
exports.useNotify = useNotify;
const useRefresh = () => (0, store_1.useNetworkStore)((s) => s.refresh ?? FALLBACK_REFRESH);
exports.useRefresh = useRefresh;
//# sourceMappingURL=hooks.js.map