import React from 'react';
import type { ModalProps } from '@zextras/carbonio-design-system';
export interface RouteLeavingGuardProps {
    children: ModalProps['children'];
    when: boolean;
    onSave: () => Promise<PromiseSettledResult<Awaited<unknown>>[]>;
    dataHasError?: boolean;
}
export declare const RouteLeavingGuard: ({ children, when, onSave, dataHasError }: RouteLeavingGuardProps) => React.JSX.Element;
