import type { Locale } from 'date-fns';
export type LocaleDescriptor = {
    name: string;
    value: string;
    dateFnsLocale: {
        key?: string;
        localeImportPath: () => Promise<Locale>;
    } | undefined;
    tinymceLocale?: string;
};
export declare const SUPPORTED_LOCALES: Record<string, LocaleDescriptor>;
