import type { RawSoapResponse, SoapBody } from '../types/network';
export type NoOpRequest = SoapBody<{
    limitToOneBlocked?: 0 | 1;
    wait?: 0 | 1;
}>;
export type NoOpResponse = SoapBody<{
    waitDisallowed?: boolean;
}>;
/**
 * @deprecated Use soapFetchV2 instead
 */
export declare const getSoapFetch: (app: string) => <Request, Response extends Record<string, unknown>>(api: string, body: Request, otherAccount?: string, signal?: AbortSignal) => Promise<Response>;
export declare const soapFetchV2: <Request, Response extends Record<string, unknown>>(api: string, body: Request, otherAccount?: string, signal?: AbortSignal) => Promise<RawSoapResponse<Response>>;
/**
 * @deprecated Use soapFetchV2 instead
 */
export declare const getXmlSoapFetch: (app: string) => <Request, Response extends Record<string, unknown>>(api: string, body: Request, otherAccount?: string) => Promise<Response>;
