import type { AccountSettingsAttrs, AccountSettingsPrefs, AccountState, Identity, ZimletProp } from '../../types/account';
import type { IdentityMods, PropsMods } from '../../types/network';
export declare function mergePrefs(mods: AccountSettingsPrefs | undefined, state: AccountState): AccountSettingsPrefs;
export declare function mergeProps(mods: PropsMods | undefined, state: AccountState): Array<ZimletProp>;
export declare function mergeAttrs(mods: AccountSettingsAttrs | undefined, state: AccountState): AccountSettingsAttrs;
export declare function updateIdentities(state: AccountState, identityMods: IdentityMods, newIdentities: Identity[]): Identity[] | undefined;
