import type { AppRouteDescriptor, BadgeInfo, BoardView, CarbonioModule, PrimaryAccessoryView, SecondaryAccessoryView, SettingsView, UtilityView } from '../../types/apps';
export declare const normalizeApp: (app: Partial<CarbonioModule>) => CarbonioModule;
export declare const normalizeBadgeInfo: (badge: Partial<BadgeInfo>) => BadgeInfo;
export declare const normalizeRoute: (data: Partial<AppRouteDescriptor>, app: CarbonioModule) => AppRouteDescriptor;
export declare const normalizeSettingsView: (data: Partial<SettingsView>, app: CarbonioModule) => SettingsView;
export declare const normalizeUtilityView: (data: Partial<UtilityView>, app: CarbonioModule) => UtilityView;
export declare const normalizePrimaryAccessoryView: (data: Partial<PrimaryAccessoryView>, app: CarbonioModule) => PrimaryAccessoryView;
export declare const normalizeSecondaryAccessoryView: (data: Partial<SecondaryAccessoryView>, app: CarbonioModule) => SecondaryAccessoryView;
export declare const normalizeBoardView: (data: Omit<BoardView, "app">, app: CarbonioModule) => BoardView;
