import type { i18n } from 'i18next';
import type { CarbonioModule } from '../../types/apps';
export type I18nState = {
    instances: Record<string, i18n>;
    defaultI18n: i18n;
    locale: string;
};
type I18nActions = {
    setLocale: (locale: string) => void;
    addI18n: (apps: Array<CarbonioModule>, locale: string) => void;
};
export declare const useI18nStore: import("zustand").UseBoundStore<import("zustand").StoreApi<I18nState & I18nActions>>;
export {};
