import React from 'react';
import type { IntegrationsState } from './store';
import type { Action } from '../../types/integrations';
import type { AnyFunction } from '../../utils/typeUtils';
export declare function buildIntegrationComponent<TComponent extends React.ComponentType>(integration: IntegrationsState['components'][string]): [TComponent, boolean];
export declare function buildIntegrationFunction<TFunction extends AnyFunction>(integration: IntegrationsState['functions'][string]): [TFunction, boolean];
export declare function buildIntegrationActions<TAction extends Action>(integration: IntegrationsState['actions'][string], context: unknown): Array<TAction>;
export declare function buildIntegrationAction(integration: IntegrationsState['actions'][string][string], target: unknown): [Action | undefined, boolean];
