"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNetworkStore = void 0;
const zustand_1 = require("zustand");
// extra currying as suggested in https://github.com/pmndrs/zustand/blob/main/docs/guides/typescript.md#basic-usage
exports.useNetworkStore = (0, zustand_1.create)()(() => ({
    pollingInterval: 30000,
    seq: 0
}));
//# sourceMappingURL=store.js.map