import type { CaptureOptions, Properties } from 'posthog-js';
export interface Tracker {
    enableTracker: (enable: boolean) => void;
    reset: () => void;
    capture: (event_name: string, properties?: Properties | null | undefined, options?: CaptureOptions | undefined) => void;
}
export declare const useTracker: () => Tracker;
