export interface Action {
    label: string;
    icon?: string;
    execute(...args: unknown[]): unknown;
}
export type ActionFactory<TContext, TAction extends Action = Action> = (context: TContext) => TAction;
