"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthGuard = void 0;
const react_1 = __importDefault(require("react"));
const account_1 = require("../store/account");
const AuthGuard = ({ children }) => {
    const isAuthenticated = (0, account_1.useAuthenticated)();
    return isAuthenticated ? react_1.default.createElement(react_1.default.Fragment, null, children) : null;
};
exports.AuthGuard = AuthGuard;
//# sourceMappingURL=auth-guard.js.map